Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.blas
Class Drotm

    java.lang.Object
      org.netlib.blas.Drotm

    public class Drotm

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *     APPLY THE MODIFIED GIVENS TRANSFORMATION, H, TO THE 2 BY N MATRIX

     *
     *     (DX**T) , WHERE **T INDICATES TRANSPOSE. THE ELEMENTS OF DX ARE IN
     *     (DY**T)
     *
     *     DX(LX+I*INCX), I = 0 TO N-1, WHERE LX = 1 IF INCX .GE. 0, ELSE
     *     LX = (-INCX)*N, AND SIMILARLY FOR SY USING LY AND INCY.
     *     WITH DPARAM(1)=DFLAG, H HAS ONE OF THE FOLLOWING FORMS..
     *
     *     DFLAG=-1.D0     DFLAG=0.D0        DFLAG=1.D0     DFLAG=-2.D0
     *
     *       (DH11  DH12)    (1.D0  DH12)    (DH11  1.D0)    (1.D0  0.D0)
     *     H=(          )    (          )    (          )    (          )
     *       (DH21  DH22),   (DH21  1.D0),   (-1.D0 DH22),   (0.D0  1.D0).
     *     SEE DROTMG FOR A DESCRIPTION OF DATA STORAGE IN DPARAM.
     *
     *  Arguments
     *  =========
     *
     *  N      (input) INTEGER
     *         number of elements in input vector(s)
     *
     *  DX     (input/output) DOUBLE PRECISION array, dimension N
     *         double precision vector with 5 elements
     *
     *  INCX   (input) INTEGER
     *         storage spacing between elements of DX
     *
     *  DY     (input/output) DOUBLE PRECISION array, dimension N
     *         double precision vector with N elements
     *
     *  INCY   (input) INTEGER
     *         storage spacing between elements of DY
     *
     *  DPARAM (input/output)  DOUBLE PRECISION array, dimension 5
     *     DPARAM(1)=DFLAG
     *     DPARAM(2)=DH11
     *     DPARAM(3)=DH21
     *     DPARAM(4)=DH12
     *     DPARAM(5)=DH22
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Field Summary
`static double` | `two`
`static double` | `zero`

Constructor Summary
`Drotm()`

Method Summary
`static void` | `drotm(int n, double[] dx, int _dx_offset, int incx, double[] dy, int _dy_offset, int incy, double[] dparam, int _dparam_offset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### zero

    public static double zero

### two

    public static double two

Constructor Detail

### Drotm

    public Drotm()

Method Detail

### drotm

    public static void drotm(int n,
                             double[] dx,
                             int _dx_offset,
                             int incx,
                             double[] dy,
                             int _dy_offset,
                             int incy,
                             double[] dparam,
                             int _dparam_offset)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD